<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_af9f5df6df6e4ab6fd5318e899" . "627078" => base64_decode("ZG9jdW1lbnRf" . "dHlwZQ=="), "_374bf250a2cd00d5f5742fea7c4" . "87197" => base64_decode("ZG9jdW1lbnR" . "fdGl0bGU="));
use Claromentis\Core\Event\GenericEvent;


class DownloadDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_374bf250a2cd00d5" . "f5742fea7c487197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_af9f5df6df6e4ab6fd531" . "8e899627078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}